Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.internal.editor.handler
Class GenerateTableColumnsHandler

    java.lang.Object
      org.eclipse.core.commands.common.EventManager
          org.eclipse.core.commands.AbstractHandler
              org.eclipse.emf.ecp.view.spi.treemasterdetail.ui.swt.MasterDetailAction
                  org.eclipse.emf.ecp.view.internal.editor.handler.GenerateTableColumnsHandler

All Implemented Interfaces:
  org.eclipse.core.commands.IHandler, org.eclipse.core.commands.IHandler2

    public class GenerateTableColumnsHandler

extends MasterDetailAction

Author:
  Eugen

Constructor Summary
`GenerateTableColumnsHandler()`

Method Summary
`void` | `execute(org.eclipse.emf.ecore.EObject object)`
`Object` | `execute(org.eclipse.core.commands.ExecutionEvent event)`
`boolean` | `shouldShow(org.eclipse.emf.ecore.EObject eObject)`

Methods inherited from class org.eclipse.core.commands.AbstractHandler
`addHandlerListener, dispose, isEnabled, isHandled, removeHandlerListener, setEnabled`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GenerateTableColumnsHandler

    public GenerateTableColumnsHandler()

Method Detail

### execute

    public Object execute(org.eclipse.core.commands.ExecutionEvent event)
                   throws org.eclipse.core.commands.ExecutionException

  Throws:
    `org.eclipse.core.commands.ExecutionException`
  See Also:
    `IHandler.execute(org.eclipse.core.commands.ExecutionEvent)`

### shouldShow

    public boolean shouldShow(org.eclipse.emf.ecore.EObject eObject)

  Specified by:
    `shouldShow` in class `MasterDetailAction`
  Parameters:
    `eObject` - the `EObject` on which to test if the action can be executed
  Returns:
    true if the action can be executed on the parameter `eObject`
  See Also:
    `MasterDetailAction.shouldShow(org.eclipse.emf.ecore.EObject)`

### execute

    public void execute(org.eclipse.emf.ecore.EObject object)

  Specified by:
    `execute` in class `MasterDetailAction`
  Parameters:
    `object` - The `EObject` on which the action is executed
  See Also:
    `MasterDetailAction.execute(org.eclipse.emf.ecore.EObject)`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.